-- Curly Brace
function obj117()
	if (obj.anim() == 3) or (obj.anim() == 4) or (obj.anim() == 11) then
		if (obj.dir() == 2) then
			obj.x(obj.x()+FRACUNIT)
		else
			obj.x(obj.x()-FRACUNIT)
		end
		obj.momx(0)
		obj.momy(0)
		if (obj.do_collisions(false)) then
			if (obj.dir() == 2) then
				obj.x(obj.x()-FRACUNIT)
			else
				obj.x(obj.x()+FRACUNIT)
			end
		end
	end
	if (obj.anim() ~= 11) then
		gravity()
	end
end
